org.apache.ignite.plugin.security

## Interface SecurityCredentialsProvider

All Known Implementing Classes:
  SecurityCredentialsBasicProvider

    public interface SecurityCredentialsProvider

Security credentials provider for specifying security credentials. Security credentials used for node authentication.

Getting credentials through `SecurityCredentialsProvider` abstraction allows users to provide custom implementations for storing user names and passwords in their environment, possibly in encrypted format. Ignite comes with `SecurityCredentialsBasicProvider` which simply provides the passed in `login` and `password` when encryption or custom logic is not required.

In addition to `login` and `password`, security credentials allow for specifying `userObject` as well, which can be used to pass in any additional information required for authentication.

### Method Summary

Methods
`SecurityCredentials` `credentials()` Gets security credentials.

### Method Detail

#### credentials

    SecurityCredentials credentials()
                                    throws IgniteCheckedException

Gets security credentials.

Returns:
  Security credentials.
Throws:
  `IgniteCheckedException` - If failed.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.1.0
Release Date | : July 20 2017